Safari for iOS vulnerable to cross-site scripting


Safari for iOS provided by Apple contains a cross-site scripting vulnerability.

Safari for iOS provided by Apple does not support the "attachment" value for the HTTP Content-Disposition header, resulting in a cross-site scripting vulnerability.

Yoshinori Ohta of Business Architects Inc. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 2.6 (Low) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products

Apple Inc.
  • Safari for iOS

For more information, refer to the information provided by the developer.

Opening a maliciously crafted file may lead to an arbitrary script being executed on the user's web browser.

[Update the software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Apple Inc.
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2011-3426

  1. JVN : JVN#41657660
  2. National Vulnerability Database (NVD) : CVE-2011-3426
Revision History

  Web page published
  Vendor Information : Content was added